net.i2p.router.web

## Class Messages

- java.lang.Object
- - net.i2p.util.Translate
  - - net.i2p.router.web.Messages

-     public class Messages
      extends Translate

  Translate strings for this package.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COUNTRY_BUNDLE_NAME`

    - ### Fields inherited from class net.i2p.util.Translate

      `PROP_COUNTRY, PROP_LANG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Messages()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getDisplayLanguage(String langCode, String dflt, I2PAppContext ctx)` Return the "display language", e.g.
    `static String` | `getString(int n, String s, String p, I2PAppContext ctx)` translate (ngettext) @since 0.7.14
    `static String` | `getString(String key, I2PAppContext ctx)` lang in routerconsole.lang property, else current locale
    `static String` | `getString(String s, Object o, I2PAppContext ctx)` translate a string with a parameter This is a lot more expensive than getString(s, ctx), so use sparingly.
    `static String` | `getString(String s, Object o, Object o2, I2PAppContext ctx)` two params @since 0.7.14

    - ### Methods inherited from class net.i2p.util.Translate

      `clearCache, getCountry, getDisplayLanguage, getLanguage, getString, getString, getString, getString, getString, isRTL, isRTL, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COUNTRY_BUNDLE_NAME

          public static final String COUNTRY_BUNDLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Messages

          public Messages()

  - ### Method Detail

    - #### getDisplayLanguage

          public static String getDisplayLanguage(String langCode,
                                                  String dflt,
                                                  I2PAppContext ctx)

      Return the "display language", e.g. "English" for the language specified by langCode, using the current language. Uses translation if available, then JVM Locale.getDisplayLanguage() if available, else default param.
      Parameters:
        `langCode` - two-letter lower-case
        `dflt` - e.g. "English"

    - #### getString

          public static String getString(int n,
                                         String s,
                                         String p,
                                         I2PAppContext ctx)

      translate (ngettext) @since 0.7.14

    - #### getString

          public static String getString(String key,
                                         I2PAppContext ctx)

      lang in routerconsole.lang property, else current locale

    - #### getString

          public static String getString(String s,
                                         Object o,
                                         I2PAppContext ctx)

      translate a string with a parameter This is a lot more expensive than getString(s, ctx), so use sparingly.
      Parameters:
        `s` - string to be translated containing {0} The {0} will be replaced by the parameter. Single quotes must be doubled, i.e. ' -> '' in the string.
        `o` - parameter, not translated. To translate parameter also, use _t("foo {0} bar", _t("baz")) Do not double the single quotes in the parameter. Use autoboxing to call with ints, longs, floats, etc.

    - #### getString

          public static String getString(String s,
                                         Object o,
                                         Object o2,
                                         I2PAppContext ctx)

      two params @since 0.7.14